Skip to main content

List Messages

ListMessages lists the messages in a channel.

It calls GET https://discord.com/api/v10/channels/{channel_id}/messages.

The activity has 4 tabs: Configuration, Auth, Input, and Output.

Configuration

FieldRequiredDescription
NameOptionalName of the step, should be unique within this workflow.
DescriptionOptionalDescribe the purpose or function of this step.
Select Auth ContextOptionalAuthorization context used to authenticate the request.
AroundOptionalEnter the value to specify the area of interest.
BeforeOptionalEnter the value to filter results before a certain point.
AfterOptionalEnter the value to filter results after a certain point.
LimitOptionalMaximum number of results to return.
Channel IdRequiredEnter the ID of the channel to retrieve.

Auth

FieldRequiredDescription
Auth TypeOptionalSelect the authentication method for the request. Options: No Auth, Basic, API Key, OAuth 2.
Auth ResourceOptionalOAuth resource containing credentials.
User NameOptionalUsername for Basic Authentication.
PasswordOptionalPassword for Basic Authentication.
KeyOptionalAPI Key name for API Key Authentication.
ValueOptionalAPI Key value for API Key Authentication.

Input

This activity is built on the REST Client, so the Input tab is the generic HTTP request rather than a Discord-shaped payload.

FieldRequiredData TypeDescription
InputsOptionalObjectThe HTTP request.

Output

The activity returns an httpResponse object.

FieldData TypeDescription
status.codeIntegerNumeric HTTP status code.
status.messageStringShort message associated with the HTTP status.
headersObjectHTTP response headers.
bodyObjectParsed body of the response.

The response body is a list.

FieldData Type
typeString
itemsArray